<?php

require_once('/usr/share/php/nusoap/nusoap.php');

define("DEFAULT_NUMBER_RESULTS",100);
define("UID_API_KEY","INSERT_API_KEY_HERE");


if(isset($argv[2]) && $argv[2] == "squid_domains")
{

$squid_domains=TRUE;

}
else
{

$squid_domains=FALSE;

}


if(isset($argv[1]) && is_numeric($argv[1]) && $argv[1] > 0 && $argv[1] < 1000)
{

$number_results=$argv[1];

}
else
{

$number_results=DEFAULT_NUMBER_RESULTS;

}

show_banks($number_results,$squid_domains);

function show_banks($number_results,$squid_domains) {
    
    // create a client, throw an error if nescessary
    $client = new nusoap_client("https://www.aa419.org/soap/awp.php", false);
    $err = $client->getError();
    if ($err) {
        echo 'Error: ' . $err.'\n';
        exit(2);
    }
    
    $param = array(
        'uid'    => UID_API_KEY,
        'date'   => '0000-00-00T00:00:00Z',
        'number' => "$number_results",
        'omit_whois' => '1',
    );
    
    // now call the service, create error messages if nescessary
    $result = $client->call('getBanksNew', $param, 'https://www.aa419.org/AWP');
    if ($client->fault) {
        echo 'Fault: '.print_r($result).'\n'; 
        exit(2);
    }
    $err = $client->getError();
    if ($err) {
        echo 'Error: ' . $err . '\n';
        exit(2);
    }

    if(count($result)===0)
    {
       echo "FAIL: no results in array \n";
       exit(2);

    }

    for($i=0; $i<count($result);$i++)
    {

      if($result[$i]['status']=="active")
      {
        if($squid_domains===TRUE)
        {
          echo ".".$result[$i]['domain']."\n";
        }
        else
        {
          echo $result[$i]['domain']."\n";
        }
	

      }


    }


    exit(0);


}

?>
